--- title: "Create dataset" slug: "ai-application-service-aitems-dataset-create" tags: ["AiTEMS"] updated: 2026-09-17T09:35:47Z published: 2026-09-17T09:35:47Z canonical: "api.ncloud-docs.com/ai-application-service-aitems-dataset-create" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create dataset Available in Classic and VPC Create a new dataset to train the service. Note To create a dataset, you must have a schema created. Create a schema first through the [Create schema API](/docs/en/ai-application-service-aitems-schema-create). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /datasets | ### Request headers For information about the headers common to all AiTEMS APIs, see [AiTEMS request headers](/docs/en/aitems-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `type` | String | Required | Dataset type - `user` \| `item` \| `interaction` - `user`: Data containing user information (age, gender, etc.) - `item`: Data with product-related information (price, release date, category, etc.) - `interaction`: Data that captures the history of interactions between users and products | | `name` | String | Required | Dataset name - Enter 3-20 characters using a combination of English letters, numbers, and special characters "_" and "-". - The string must begin with an English letter. | | `description` | String | Required | Dataset description - 0-100 characters | | `schemaName` | String | Required | Dataset's schema name | | `osInfo` | Object | Required | Information of Object Storage where the data file is stored | | `osInfo.region` | String | Required | Region of Object Storage where the data file is stored - `KR` | | `osInfo.bucket` | String | Required | Bucket name of Object Storage where the data file is stored | | `osInfo.key` | String | Required | Path (prefix) of Object Storage where the data file is stored | ### Request example The request example is as follows: ``` curl --location --request POST 'https://aitems.apigw.ntruss.com/api/v1/datasets' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "type": "item", "name": "item_dataset2", "description": "abc", "schemaName": "item_schema", "osInfo": { "region": "KR", "bucket": "aitems", "key": "bookmarks-items.csv" } }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `datasetId` | String | - | Dataset ID | | `type` | String | - | Dataset type - `user` \| `item` \| `interaction` - `user`: Data containing user information (age, gender, etc.) - `item`: Data with product-related information (price, release date, category, etc.) - `interaction`: Data that captures the history of interactions between users and products | | `name` | String | - | Dataset name | | `description` | String | - | Dataset description | | `schemaName` | String | - | Dataset schema name | | `status` | String | - | Dataset status - `enable` \| `waiting` \| `processing` \| `upload_failed` \| `disable` \| `deleting` - `enable`: Training available - `waiting`, `processing`: Pending - `upload_failed`, `disable`, `deleting`: Upload failure | | `osInfo` | Object | - | Information of Object Storage where the data file is stored | | `osInfo.region` | String | - | Region of Object Storage where the data file is stored - `KR` | | `osInfo.bucket` | String | - | Bucket name of Object Storage where the data file is stored | | `osInfo.key` | String | - | Path (prefix) of Object Storage where the data file is stored | | `connectedServices` | Array | - | Information about service using dataset: [connectedServices](/docs/en/ai-application-service-aitems-dataset-create#connectedServices) | | `createdDate` | String | - | Dataset creation date and time | | `updatedDate` | String | - | Last update date and time of the dataset | #### `connectedServices` The following describes `connectedServices`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | - | Service ID | | `name` | String | - | Service name | ### Response status codes For information about the HTTP status codes common to all AiTEMS APIs, see [AiTEMS response status codes](/docs/en/aitems-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "datasetId": "g8rf6******", "type": "item", "name": "item_dataset", "description": "abc", "schemaName": "LogInfo", "status": "waiting", "osInfo": { "region": "KR", "bucket": "bucket", "key": "bookmarks-items.csv" }, "connectedServices": [], "createdDate": "2024-07-29T16:46:35.968", "updatedDate": "2024-07-29T16:46:35.968" } ```